<?php

class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{
	protected function _initAcl()
	{
		// Создаём объект Zend_Acl
		$acl = new Zend_Acl();

		// Добавляем ресурсы нашего сайта,
		// другими словами указываем контроллеры и действия

		// указываем, что у нас есть ресурс index
		$acl->addResource('index');

		// ресурс add является потомком ресурса index
		$acl->addResource('add', 'index');

		// ресурс edit является потомком ресурса index
		$acl->addResource('edit', 'index');

		// ресурс delete является потомком ресурса index
		$acl->addResource('delete', 'index');

		// указываем, что у нас есть ресурс error
		$acl->addResource('error');

		// указываем, что у нас есть ресурс auth
		$acl->addResource('auth');

		// ресурс login является потомком ресурса auth
		$acl->addResource('login', 'auth');

		// ресурс logout является потомком ресурса auth
		$acl->addResource('logout', 'auth');
		
		// ресурс logout является потомком ресурса auth
		$acl->addResource('registration', 'auth');
		
		// далее переходим к созданию ролей, которых у нас 2:
		// гость (неавторизированный пользователь)
		$acl->addRole('guest');

		// администратор, который наследует доступ от гостя
		$acl->addRole('3', 'guest');

		// разрешаем гостю просматривать ресурс index
		$acl->allow('guest', 'index', array('index'));

		// разрешаем гостю просматривать ресурс auth и его подресурсы
		$acl->allow('guest', 'auth', array('index', 'login', 'logout', 'registration'));
		
		// Только на время разработки
		if(defined('APPLICATION_ENV') && (APPLICATION_ENV ==="development"))
			$acl->allow('guest', 'error');
		// разрешаем администратору просматривать страницу ошибок
		$acl->allow('3', 'error');

		// получаем экземпляр главного контроллера
		$fc = Zend_Controller_Front::getInstance();

		// регистрируем плагин с названием AccessCheck, в который передаём
		// на ACL и экземпляр Zend_Auth
		$fc->registerPlugin(new Application_Plugin_AccessCheck($acl, Zend_Auth::getInstance()));
	}
    protected function _initTranslate() 
     {
         // Получаем текущий реестр
         $registry = Zend_Registry::getInstance();
         /**
          * язык по умолчанию
          */
         $locale = new Zend_Locale('ru_RU');    

         /**
          * добавляем словари
          */
         $translate = new Zend_Translate( 
             array(
             'adapter' => 'tmx', 
             'content' => APPLICATION_PATH . DIRECTORY_SEPARATOR .'languages/translation.tmx', 
             'logPriority'     => Zend_Log::CRIT,
             'logMessage'      => "Missing '%message%' within locale '%locale%'",
             'disableNotices' => false,    // This is a very good idea!
             'logUntranslated' => true,  // Change this if you debug
             )
         );
         
         $registry->set('Zend_Translate', $translate);
         $registry->set('Zend_Locale', $locale);
         return $registry;
     }
}
