<?php

class Application_Form_Login extends Zend_Form
{
    public function init()
    {
        // указываем имя формы
        $this->setName('loginf');
        
        // создаём текстовый элемент
        $username = new Zend_Form_Element_Text('username');
        
        // задаём ему label и отмечаем как обязательное поле;
        // также добавляем фильтры и валидатор с переводом
        $username->setLabel('Login')
            ->setRequired(true)
            ->addFilter('StringToUpper')
            ->addFilter('StringTrim')
            ->addValidator('NotEmpty')
            ->addValidator('DB_RecordExists',
            false,
            array(
                    'table'=>'account',
                    'field'=>'username',
            		'adapter' => Zend_Controller_Front::getInstance()->getParam('bootstrap')->getPluginResource('multidb')->getDb('realmd')
                  )
            );
        
        // создаём элемент формы для пароля
        $password = new Zend_Form_Element_Password('password');
        
        // задаём ему label и отмечаем как обязательное поле;
        // также добавляем фильтры и валидатор с переводом
        $password->setLabel('password')
            ->setRequired(true)
            ->addFilter('StringToUpper')
            ->addFilter('StringTrim')
            ->addValidator('NotEmpty');
        
        // создаём кнопку submit
        $submit = new Zend_Form_Element_Submit('trylogin');
        $submit->setLabel('Enter');
        
        // добавляем элементы в форму
        $this->addElements(array($username, $password, $submit));
        
        // указываем метод передачи данных
        $this->setAction('/auth/login')
    	 ->setMethod('post');
        
    }
}
