<?php

class Application_Form_Registration extends Zend_Form
{
    public function init()
    {
        // указываем имя формы
        $this->setName('regfirm');
        
        // создаём текстовый элемент
        $username = new Zend_Form_Element_Text('username');
        
        // задаём ему label и отмечаем как обязательное поле;
        // также добавляем фильтры и валидатор с переводом
        $username->setLabel('Login')
            ->setRequired(true)
            ->addFilter('StringToUpper')
            ->addFilter('StringTrim')
            ->addValidator('NotEmpty')
            ->addValidator('DB_NoRecordExists',
            false,
            array(
                    'table'=>'account',
                    'field'=>'username',
            		'adapter' => Zend_Controller_Front::getInstance()->getParam('bootstrap')->getPluginResource('multidb')->getDb('realmd')
                  )
            );
        
        // создаём элемент формы для пароля
        $password = new Zend_Form_Element_Password('password');
        
        // задаём ему label и отмечаем как обязательное поле;
        // также добавляем фильтры и валидатор с переводом
        $password->setLabel('password')
            ->setRequired(true)
            ->addFilter('StringToUpper')
            ->addFilter('StringTrim')
            ->addValidator('NotEmpty');
            
        // создаём элемент формы для мыла    
        $email = new Zend_Form_Element_Text('email');
        
        // задаём ему label и отмечаем как обязательное поле;
        // также добавляем фильтры и валидатор с переводом
        $email->setLabel('email')
            ->setRequired(true)
            ->addFilter('StripTags')
            ->addFilter('StringTrim')
            ->addValidator('NotEmpty')
            ->addValidator('EmailAddress');
        // создаём кнопку submit
        $submit = new Zend_Form_Element_Submit('tryReg');
        $submit->setLabel('Registration');
        
        // добавляем элементы в форму
        $this->addElements(array($username, $password, $email, $submit));
        
        // указываем метод передачи данных
        $this->setAction('/auth/registration')
    	 ->setMethod('post');
        
    }
}
