<?php
class Application_Plugin_LangSelector extends Zend_Controller_Plugin_Abstract
{
	public function preDispatch(Zend_Controller_Request_Abstract $request)
	{
		$registry = Zend_Registry::getInstance();
		$translate = $registry->get('Zend_Translate');
		$currLocale = $translate->getLocale();
		$lang = $request->getParam('lang','');
		switch($lang) {
			case "en":
				$langLocale = 'en_US'; break;
			case "ru":
				$langLocale = 'ru_RU'; break;
			default:
				$identity = new Zend_Session_Namespace('Zend_Auth');
				$identity = $identity->storage;
				//     ,    
				$langLocale = isset($identity->locale) ? $identity->locale : null;
				switch($langLocale) {
					case "0":
						$langLocale = 'en_US'; break;
					case "8":
						$langLocale = 'ru_RU'; break;
					default:
						$langLocale = $currLocale; break;
				}
		}
		
		$newLocale = new Zend_Locale();
		$newLocale->setLocale($langLocale);
		$registry->set('Zend_Locale', $newLocale);

		$translate->setLocale($langLocale);
		$session->lang = $langLocale;

		$registry->set('Zend_Translate', $translate);
	}
}